### Name: getGenes
### Title: Extract gene information using SNP IDs or Gene IDs
### Aliases: getGenes


### ** Examples

## Not run: 
##D snp_ids <- c(29017382,29009975,29011026)
##D gene_ids <- c(530393)
##D 
##D # Returns gene information for snp_ids (Bos taurus species) if snp resides on gene
##D genes <- getGenes (snp_ids, id.type="snp", species="bta")
##D genes <- getGenes (snp_ids,"snp","bta")
##D 
##D # Returns gene information for snp_ids - uses species set by setSpecies()   
##D genes <- getGenes (snp_ids)
##D 
##D # Returns gene information for gene_ids - uses species set by setSpecies()  
##D genes <- getGenes (gene_ids,id.type="gene")
##D genes <- getGenes (gene_ids,"gene")
##D 
##D # Returns ALL genes - uses species set by setSpecies()  
##D genes <- getGenes ()
##D 
##D # Extracting columns
##D # Extract the Gene_ID and gene name columns
##D genes <- getGenes (snp_ids)
##D name <- genes[,c("Gene_ID","Gene_Name")]
## End(Not run)



