### Name: getHomolo
### Title: Extract homologous genes using SNP IDs or Gene IDs
### Aliases: getHomolo


### ** Examples

## Not run: 
##D snp_ids <- c(29017382,29009975,29011026)
##D gene_ids <- c(505968)
##D taxons<- c(9606,10090)
##D 
##D # Display taxonomy IDs and taxonomy names for all species 
##D getHomolo(taxon.list=TRUE)
##D 
##D # Returns homologous genes for all taxonomy IDs for snp_ids only if snp resides on gene - uses species set by setSpecies()
##D homolo <-getHomolo (snp_ids,id.type="snp")
##D homolo <-getHomolo (snp_ids)
##D 
##D # Returns homologous genes for specified taxonomy IDs for snp_ids only if snp resides on gene - uses species set by setSpecies()
##D homolo <-getHomolo (snp_ids,taxon.ids="9606,10090")
##D homolo <-getHomolo (snp_ids,taxon.ids=taxons)
##D 
##D # Returns homologous genes for all taxonomy IDs for snp_ids only if snp resides on gene (accesses the Gallus gallus database)
##D homolo <-getHomolo (snp_ids, speciesCode="gga")
##D 
##D # Returns homologous genes for all taxonomy IDs for gene_ids - uses species set by setSpecies()
##D homolo <-getHomolo (gene_ids,id.type="gene")
##D 
##D # Returns homologous genes to specified taxonomy IDs for gene_ids - uses species set by setSpecies()
##D homolo <-getHomolo (gene_ids,id.type="gene",taxon.ids=taxons)
##D 
##D # Returns homologous genes to all taxonomy IDs for gene_ids(accesses the species Gallus gallus)
##D homolo <-getHomolo (gene_ids,id.type="gene",species ="gga")
##D 
##D # Returns all homologous genes - uses species set by setSpecies()
##D homolo <-getHomolo ()
##D 
##D # Extracting columns
##D # Extract the Gene_ID and gene symbol columns
##D homolo <-getHomolo (gene_ids,id.type="gene")
##D sym <- homolo[,c("Gene_ID","Gene_Symbol")]
## End(Not run)



