### Name: getKEGG
### Title: Extract pathway names using SNP IDs or Gene IDs
### Aliases: getKEGG


### ** Examples

## Not run: 
##D snp_ids <- c(42203337,42203338)
##D gene_ids <- c(280675, 280678)
##D 
##D # Returns KEGG pathway information for snp_ids (Bos taurus species) 
##D pathways <- getKEGG (snp_ids, id.type="snp", species="bta")
##D pathways <- getKEGG (snp_ids,"snp","bta")
##D 
##D # Returns KEGG pathway information for snp_ids - uses species set by setSpecies()
##D pathways <- getKEGG (snp_ids)
##D 
##D # Returns KEGG pathway information for gene_ids - uses species set by setSpecies()
##D pathways <- getKEGG (gene_ids,id.type="gene")
##D pathways <- getKEGG (gene_ids,"gene")
##D 
##D # Returns ALL KEGG pathways - uses species set by setSpecies()
##D pathways <- getKEGG ()
##D 
##D # Extracting columns
##D # Extract the SNP_ID and KEGG pathway name columns
##D pathways <- getKEGG (snp_ids)
##D names <- pathways [,c("SNP_ID","Pathway")]
## End(Not run)



