### Name: getProteins
### Title: Extract protein information using SNP IDs or Gene IDs
### Aliases: getProteins


### ** Examples

## Not run: 
##D snp_ids <- c(43501919,41603159)
##D gene_ids <- c(530393)
##D 
##D # Returns protein information for snp_ids (Bos taurus species) 
##D proteins <- getProteins (snp_ids, id.type="snp", species="bta")
##D proteins <- getProteins (snp_ids,"snp","bta")
##D 
##D # Returns protein information for snp_ids - uses species set by setSpecies ()
##D proteins <- getProteins (snp_ids)
##D 
##D # Returns protein information for gene_ids - uses species set by setSpecies ()
##D proteins <- getProteins (gene_ids,id.type="gene")
##D proteins <- getProteins (gene_ids,"gene")
##D 
##D # Returns ALL proteins - uses species set by setSpecies ()
##D proteins <- getProteins ()
##D 
##D # Extracting columns
##D # Extract the SNP_ID and protein name columns
##D proteins <- getProteins (snp_ids)
##D names <- proteins [,c("SNP_ID","Protein_Name")]
## End(Not run)



