### Name: getSNPs
### Title: Extract SNP information using SNP IDs or Gene IDs
### Aliases: getSNPs


### ** Examples

## Not run: 
##D snp_ids <- c(29017382,29009975,29011026)
##D gene_ids <- c(530393)
##D 
##D # Returns SNP information for snp_ids (Bos taurus species)
##D snps <- getSNPs (snp_ids, id.type="snp", species="bta")
##D snps <- getSNPs (snp_ids,"snp","bta")
##D 
##D # Returns SNP information for snp_ids - uses species set by setSpecies ()  
##D snps <- getSNPs (snp_ids)
##D 
##D # Returns SNP information for all SNPs residing on gene_ids - uses species set by setSpecies ()
##D snps <- getSNPs (gene_ids,id.type="gene")
##D snps <- getSNPs (gene_ids,"gene")
##D 
##D # Returns ALL SNPs - uses species set by setSpecies ()
##D snps <- getSNPs ()
##D 
##D # Extracting columns
##D # Extract the SNP_ID and chromosome columns
##D snps <- getSNPs (snp_ids)
##D chr <- snps[,c("SNP_ID","Chr")]
## End(Not run)



